expanded layer collapses when clicking on the 'ok' or 'apply' buttons from the layer properties 

window
Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15663

Description

When clicking on the Layer Properties window's 'OK' or 'Apply' buttons, the layer item being edited will collapse (in the Layers' legend

tree), irrespective of whether the user had the layer item collapsed or expanded.

IMO, the right behavior should be for the collapsed or expanded state of the layer item to be respected when leaving the layer properties

window. QGIS was applying such a behavior until it regressed in v1.8. This bug is present in QGIS master.

History

#1 - 2012-09-26 12:55 AM - Giovanni Manghi

- Status changed from Open to Feedback

So this worked fine in 1.7.4 and regressed in 1.8?

#2 - 2012-09-26 01:21 AM - Paolo Cavallini

- Subject changed from expended layer collapses when clicking on the 'ok' or 'apply' buttons from the layer properties window to expanded layer 

collapses when clicking on the 'ok' or 'apply' buttons from the layer properties window

#3 - 2012-09-26 02:13 AM - Mathieu Pellerin - nIRV

Giovanni, yes, it works fine in 1.7.4 and regressed in 1.8. I've just downloaded a 1.7.4 build to make sure it worked then.

#4 - 2012-09-26 03:02 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

nirvn - wrote:

Giovanni, yes, it works fine in 1.7.4 and regressed in 1.8. I've just downloaded a 1.7.4 build to make sure it worked then.

if is not a regression (if also in 1.7.4 does not work as expected) please remove the "blocker" tag

#5 - 2012-09-26 03:09 AM - Mathieu Pellerin - nIRV
Blocker should stay as it did work in 1.7.4. Thanks for setting it up.

#6 - 2012-11-18 10:39 PM - Mathieu Pellerin - nIRV

Hmm, there's been movement. Using latest qgis-dev windows build (3398341), the unwanted collapse is gone when changing style through the layer

properties window! Wouhou.

That said, copy / pasting a style using the right click menu item will still result in unwanted collapse of expanded layer items.

Who deserves to be credited for this improvement? :)

#7 - 2012-12-25 05:55 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Target version set to Version 2.0.0

nirvn - wrote:

Hmm, there's been movement. Using latest qgis-dev windows build (3398341), the unwanted collapse is gone when changing style through the

layer properties window! Wouhou.

I still see this wrong behavior in the latest master

#8 - 2013-02-24 05:40 PM - Mathieu Pellerin - nIRV

Good news everyone! Clicking on Apply or Ok from the Layer Property window doesn't collapse layer items anymore.

There are two remaining actions that still triggers this (mis)behavior:

- Paste Style layer item right-click menu

- Clicking on Ok from the layer filter query window

Since this ticket was only covering layer property ok/apply, it could be closed. But the above two remaining collapses should also be dealt with :)

#9 - 2013-04-23 02:58 AM - Mathieu Pellerin - nIRV

- Priority changed from Severe/Regression to Normal

Lowering priority.

#10 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#11 - 2015-12-13 06:56 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...
the last part of the bug seems to be fixed (at least in QGIS 2.13 master): When I apply style or use the "Filter..." window, graduated/categorized layers are

not collapsed nor expanded (initial state isn't modified).

Can you confirm this ?

#12 - 2015-12-13 05:50 PM - Mathieu Pellerin - nIRV

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
